=== debian/changelog ===
sdlgles (1.0.0) unstable; urgency=low

  * Initial Release.

 -- Javier S. Pedro <maemo@javispedro.com>  Tue,  2 Feb 2010 00:03:22 +0100
